Support » Plugin: Admin Columns » Bug in version 3.3.1, not working on PHP 7.1/7.2

  • Resolved Marcelo Pedra

    (@kent-brockman)


    Hey guys, after upgrading to the new version today, I found it won’t work on sites with PHP 7.1 or 7.2. The PHP errorlog show this:

    [07-Nov-2018 15:01:57 UTC] PHP Fatal error: Cannot declare class AC\Dependencies, because the name is already in use in /home/username/public_html/wp-content/plugins/_codepress-admin-columns/classes/Dependencies.php on line 9

    Fix please? Thanks in advance!!!

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Tobias Schutter

    (@tschutter)

    Looking at the install path I notice that the plugin folder has an underscore: “/_codepress-admin-columns/”. How did you install the plugin? Could you have multiple copies of our plugin on your site?

    Yes, that was because I renamed the folder. I now deleted all the copies of the plugin in all the sites, reinstalled it, and it happened to work well again. Don’t know what happenned. But it’s solved by now 🙂

    Thank you for the quick answer, yet sorry for bothering you

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Bug in version 3.3.1, not working on PHP 7.1/7.2’ is closed to new replies.